classification
Title: Docs of subprocess.CREATE_NEW_CONSOLE are wrong
Type: Stage:
Components: Windows Versions: Python 3.5
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: tim.golden Nosy List: asvetlov, brian.curtin, python-dev, tim.golden, torsten
Priority: normal Keywords: patch

Created on 2013-01-10 17:42 by torsten, last changed 2013-07-31 15:11 by tim.golden. This issue is now closed.

Files
File name Uploaded Description Edit
create_new_console.diff torsten, 2013-01-10 17:42 Suggested documentation update review
doc.diff tim.golden, 2013-01-11 09:49 Remove mention of CREATE_NEW_CONSOLE for shell=True review
Messages (5)
msg179578 - (view) Author: Torsten Landschoff (torsten) * Date: 2013-01-10 17:42
The documentation of CREATE_NEW_CONSOLE at http://docs.python.org/3/library/subprocess.html#subprocess.CREATE_NEW_CONSOLE states:

    This flag is always set when Popen is created with shell=True.

This does not fit the code which does

    if (_subprocess.GetVersion() >= 0x80000000 or os.path.basename(comspec).lower() == "command.com"):
        # Win9x, or using command.com on NT. We need to
        creationflags |= _subprocess.CREATE_NEW_CONSOLE

So the statement is only true on very old versions on Windows. I suggest to fix the documentation (patch attached) or to remove that obsolete hack (and drop support for Windows <= NT).
msg179660 - (view) Author: Tim Golden (tim.golden) * (Python committer) Date: 2013-01-11 09:31
This code is no longer present in subprocess.py now that issue14470 has been applied.
msg179661 - (view) Author: Tim Golden (tim.golden) * (Python committer) Date: 2013-01-11 09:37
Reopening because there is in fact a doc issue reamining.
msg179662 - (view) Author: Tim Golden (tim.golden) * (Python committer) Date: 2013-01-11 09:49
I can't push from work; the (trivial) doc patch is attached. If no-one gets to it, I'll push from home this evening.
msg179678 - (view) Author: Roundup Robot (python-dev) (Python triager) Date: 2013-01-11 13:31
New changeset 1aac333f320a by Tim Golden in branch 'default':
#16921 Since Win9x is no longer supported, CREATE_NEW_CONSOLE is
http://hg.python.org/cpython/rev/1aac333f320a
History
Date User Action Args
2013-07-31 15:11:10tim.goldensetstatus: open -> closed
resolution: fixed
2013-01-14 22:07:30asvetlovsetnosy: + asvetlov
2013-01-11 13:31:29python-devsetnosy: + python-dev
messages: + msg179678
2013-01-11 09:49:19tim.goldensetfiles: + doc.diff

messages: + msg179662
2013-01-11 09:37:10tim.goldensetstatus: closed -> open
messages: + msg179661

assignee: tim.golden
resolution: out of date -> (no value)
stage: resolved ->
2013-01-11 09:31:11tim.goldensetstatus: open -> closed

nosy: + tim.golden, brian.curtin
messages: + msg179660

resolution: out of date
stage: resolved
2013-01-10 17:42:20torstencreate